# Conversation API & Websocket

## Overview

The API and Websocket enable you to extend your conversational experiences by building custom conversational interfaces for your AiseraGPT applications. Your application server takes care of the following:

* Decoration&#x20;
* Intent Extraction (NLP and NLU)&#x20;
* Slot filling&#x20;
* Context Management&#x20;
* Out-of-band Notifications&#x20;
* Rendering facilitation (in the case of Adaptive Cards)

{% hint style="info" %}
Conversation API and Websocket responses cannot be directly rendered. Instead, the semantic responses can be used to build custom conversational experiences.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisera.com/apis/apis/conversation-api-and-websocket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
